Package fr.gouv.vitam.storage.engine.common.model

# Class WriteOrder

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.QueueMessageEntity
fr.gouv.vitam.storage.engine.common.model.WriteOrder

All Implemented Interfaces:
  `ReadWriteOrder`

public class WriteOrder extends QueueMessageEntity implements ReadWriteOrder

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVE_ID`
  `static final String`
  `BUCKET`
  `static final String`
  `DIGEST`
  `static final String`
  `FILE_BUCKET_ID`
  `static final String`
  `FILE_PATH`
  `static final String`
  `SIZE`

  ### Fields inherited from class fr.gouv.vitam.storage.engine.common.model.QueueMessageEntity

  `ID, MESSAGE_TYPE, PRIORITY, STATE, TAG_CREATION_DATE, TAG_LAST_UPDATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WriteOrder()`
  `WriteOrder(String bucket, String fileBucketId, String filePath, long size, String digest, String archiveId, QueueMessageType queueMessageType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getArchiveId()`
  `String`
  `getBucket()`
  `String`
  `getDigest()`
  `String`
  `getFileBucketId()`
  `String`
  `getFilePath()`
  `long`
  `getSize()`
  `boolean`
  `isWriteOrder()`
  `WriteOrder`
  `setArchiveId(String archiveId)`
  `WriteOrder`
  `setBucket(String bucket)`
  `WriteOrder`
  `setDigest(String digest)`
  `WriteOrder`
  `setFileBucketId(String fileBucketId)`
  `WriteOrder`
  `setFilePath(String filePath)`
  `WriteOrder`
  `setSize(long size)`

  ### Methods inherited from class fr.gouv.vitam.storage.engine.common.model.QueueMessageEntity

  `getCreated, getId, getLastUpdate, getMessageType, getPriority, getState, setCreated, setId, setLastUpdate, setMessageType, setPriority, setState`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.storage.engine.common.model.ReadWriteOrder

  `getId`

- ## Field Details

  - ### BUCKET

    public static final String BUCKET
    See Also:
      - Constant Field Values

  - ### FILE_BUCKET_ID

    public static final String FILE_BUCKET_ID
    See Also:
      - Constant Field Values

  - ### FILE_PATH

    public static final String FILE_PATH
    See Also:
      - Constant Field Values

  - ### SIZE

    public static final String SIZE
    See Also:
      - Constant Field Values

  - ### DIGEST

    public static final String DIGEST
    See Also:
      - Constant Field Values

  - ### ARCHIVE_ID

    public static final String ARCHIVE_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WriteOrder

    public WriteOrder()

  - ### WriteOrder

    public WriteOrder(String bucket, String fileBucketId, String filePath, long size, String digest, String archiveId, QueueMessageType queueMessageType)

- ## Method Details

  - ### getBucket

    public String getBucket()

  - ### setBucket

    public WriteOrder setBucket(String bucket)

  - ### getFileBucketId

    public String getFileBucketId()

  - ### setFileBucketId

    public WriteOrder setFileBucketId(String fileBucketId)

  - ### getFilePath

    public String getFilePath()

  - ### setFilePath

    public WriteOrder setFilePath(String filePath)

  - ### getSize

    public long getSize()

  - ### setSize

    public WriteOrder setSize(long size)

  - ### getDigest

    public String getDigest()

  - ### setDigest

    public WriteOrder setDigest(String digest)

  - ### isWriteOrder

    public boolean isWriteOrder()
    Specified by:
      `isWriteOrder` in interface `ReadWriteOrder`

  - ### getArchiveId

    public String getArchiveId()

  - ### setArchiveId

    public WriteOrder setArchiveId(String archiveId)